Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Array_Var_Base_T< T, T_slice > Class Template Reference

Parametrized implementation of _var base class for arrays. More...

`#include <Array_VarOut_T.h>`

Inheritance diagram for TAO_Array_Var_Base_T< T, T_slice >:

[legend]
Collaboration diagram for TAO_Array_Var_Base_T< T, T_slice >:

[legend]
List of all members.

## Public Types
typedef const T_slice * | _in_type
typedef T_slice * | _inout_type
typedef T_slice *& | _out_type
typedef T_slice * | _retn_type
## Public Methods
| TAO_Array_Var_Base_T (void)
| TAO_Array_Var_Base_T (T_slice *)
| TAO_Array_Var_Base_T (const TAO_Array_Var_Base_T< T, T_slice > &)
| ~TAO_Array_Var_Base_T (void)
T_slice & | operator[] (CORBA::ULong index)
T_slice const & | operator[] (CORBA::ULong index) const
| operator T_slice *const & () const
_in_type | in (void) const
_inout_type | inout (void)
_out_type | out (void)
_retn_type | _retn (void)
_retn_type | ptr (void) const
## Protected Attributes
T_slice * | ptr_

## Detailed Description

### template<typename T, typename T_slice>
class TAO_Array_Var_Base_T< T, T_slice >

Parametrized implementation of _var base class for arrays.

## Member Typedef Documentation

template<typename T, typename T_slice>
typedef const T_slice* TAO_Array_Var_Base_T< T, T_slice >::_in_type

template<typename T, typename T_slice>
typedef T_slice* TAO_Array_Var_Base_T< T, T_slice >::_inout_type

template<typename T, typename T_slice>
typedef T_slice*& TAO_Array_Var_Base_T< T, T_slice >::_out_type

template<typename T, typename T_slice>
typedef T_slice* TAO_Array_Var_Base_T< T, T_slice >::_retn_type

## Constructor & Destructor Documentation

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Var_Base_T< T, T_slice >::TAO_Array_Var_Base_T | ( | void |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Var_Base_T< T, T_slice >::TAO_Array_Var_Base_T | ( | T_slice * |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Var_Base_T< T, T_slice >::TAO_Array_Var_Base_T | ( | const TAO_Array_Var_Base_T< T, T_slice > & |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Var_Base_T< T, T_slice >::~TAO_Array_Var_Base_T | ( | void |  | ) |

## Member Function Documentation

template<typename T, typename T_slice>
ACE_INLINE T_slice * TAO_Array_Var_Base_T< T, T_slice >::_retn | ( | void |  | ) |

template<typename T, typename T_slice>
ACE_INLINE const T_slice * TAO_Array_Var_Base_T< T, T_slice >::in | ( | void |  | ) | const

template<typename T, typename T_slice>
ACE_INLINE T_slice * TAO_Array_Var_Base_T< T, T_slice >::inout | ( | void |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Var_Base_T< T, T_slice >::operator T_slice *const & | ( |  | ) |

template<typename T, typename T_slice>
ACE_INLINE T_slice const & TAO_Array_Var_Base_T< T, T_slice >::operator[] | ( | CORBA::ULong | index | ) | const

template<typename T, typename T_slice>
ACE_INLINE T_slice & TAO_Array_Var_Base_T< T, T_slice >::operator[] | ( | CORBA::ULong | index | ) |

template<typename T, typename T_slice>
ACE_INLINE T_slice *& TAO_Array_Var_Base_T< T, T_slice >::out | ( | void |  | ) |

template<typename T, typename T_slice>
ACE_INLINE T_slice * TAO_Array_Var_Base_T< T, T_slice >::ptr | ( | void |  | ) | const

## Member Data Documentation

template<typename T, typename T_slice>
T_slice* TAO_Array_Var_Base_T< T, T_slice >::ptr_`[protected]`

The documentation for this class was generated from the following files:

- Array_VarOut_T.h
- Array_VarOut_T.inl